List personas
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/prompts/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/prompts/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/prompts/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Configuration
List personas
List the agent personas you can build an agent from
GET
/
prompts
/
personas
List personas
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/prompts/personas \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/prompts/personas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/prompts/personas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Personas are pre-written behavioural templates — tone, style and default
instructions. Pass a persona
id as agent_persona_id when
creating an agent.
curl https://prod-comms-engine-api.20x.business/api/v1/prompts/personas \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.get(
"https://prod-comms-engine-api.20x.business/api/v1/prompts/personas",
headers={"Authorization": f"Bearer {API_KEY}"},
)
await fetch("https://prod-comms-engine-api.20x.business/api/v1/prompts/personas", {
headers: { Authorization: `Bearer ${API_KEY}` },
});

